Get apps integration authentication with brand

Get apps integration authentication with brand

get
Query parameters
AppIntegrationIdstringOptional

The app integration id to filter.

CodestringOptional

The code to filter.

NamestringOptional

The name of filter.

DescriptionstringOptional

The description of filter.

ProjectIdstringOptional

The project id of filter.

ClientEmailstringOptional

The client email of filter.

ClientIdstringOptional

The client id of filter.

ClientSecretstringOptional

The client secret of filter.

PrivateKeystringOptional

The private key of filter.

RedirectURIstringOptional

The redirect URI of filter.

ScopestringOptional

The scope of filter.

AuthEndpointstringOptional

The auth endpoint of filter.

TokenEndpointstringOptional

The token endpoint of filter.

IconURLstringOptional

The icon URL of filter.

TagsstringOptional

The tags of filter.

Statusstring · enumOptional

This enum is used to define the common status of an object in JFW.

Supported values:

  • Inactive - In case of JFW object's status being inactive.
  • Active - In case of JFW object's status being active
Possible values:
SortDataFieldstringOptional

The sort data field to sort. By default, the value is ID.

SortOrderstring · enumOptional

Specifies the sorting order type for a collection.

Possible values:
PageNumberinteger · int32Optional

The page number of the pagination. Default value is 0.

PageSizeinteger · int32Optional

The page size of the pagination. Default value is 200.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

get
/api/v1/app-integrations/authentication

Last updated